// Import Bulma's core
@import '~bulma/sass/utilities/_all';
// Set your colors
$primary: darkblue;
$primary-light: findLightColor($primary);
$primary-dark: findDarkColor($primary);
$primary-invert: findColorInvert($primary);
// Lists and maps
$custom-colors: null !default;
$custom-shades: null !default;
// Setup $colors to use as bulma classes (e.g. 'is-twitter')
$colors: mergeColorMaps(
    (
        "white": (
            $white,
            $black,
        ),
        "black": (
            $black,
            $white,
        ),
        "light": (
            $light,
            $light-invert,
        ),
        "dark": (
            $dark,
            $dark-invert,
        ),
        "primary": (
            $primary,
            $primary-invert,
            $primary-light,
            $primary-dark,
        ),
        "link": (
            $link,
            $link-invert,
            $link-light,
            $link-dark,
        ),
        "info": (
            $info,
            $info-invert,
            $info-light,
            $info-dark,
        ),
        "success": (
            $success,
            $success-invert,
            $success-light,
            $success-dark,
        ),
        "warning": (
            $warning,
            $warning-invert,
            $warning-light,
            $warning-dark,
        ),
        "danger": (
            $danger,
            $danger-invert,
            $danger-light,
            $danger-dark,
        ),
    ),
    $custom-colors
);
// Links
$link: $primary;
$link-invert: $primary-invert;
$link-focus-border: $primary;

// Import Bulma and Buefy styles
@import '~bulma';
@import '~buefy/src/scss/buefy';

// Style For Sidebar
.sidebar-content {
    margin-top: 90px;
}

.b-sidebar .menu .menu-list .router-link-exact-active {
    background-color: darkblue;
    color: white;
}
.b-sidebar .menu .menu-list a:hover:not(.router-link-exact-active):hover {
    background-color: darkblue;
    color: white !important;
}
.b-sidebar .menu-list a.is-active {
    background-color: transparent;
    color: black;
}
.b-sidebar .menu-list li ul {
    margin: 0;
    padding-left: 32px;
    border: none;
}
.modal .animation-content {
    background-color:transparent !important;
}
// End Style For Sidebar

// Style For B-Modal
.modal .animation-content {
    margin: 0;
}

.modal.is-full-screen > .animation-content, .modal.is-full-screen > .animation-content > .modal-card {
    background-color: transparent;
}

.main-modal {
    display: flex;
    justify-content: center;
}
// End Style For B-Modal

.text-dangered {
    color: red;
}
html { overflow-y: auto }

// For Auto Complete
.home .autocomplete .dropdown-content {
    max-width: 100%;
}
// End Style For Auto Complete